Subject: Re: FvwmAudio is obsolete, right?

From: Dominik Vogt <[email-masked]>
Date: Tue, 4 May 1999 00:51:48 +0200

On Thu, Apr 29, 1999 at 03:26:00PM +0200, Dominik Vogt wrote:
> On Wed, Apr 28, 1999 at 10:12:03PM -0400, Steve Robbins wrote:
> > On Mon, 26 Apr 1999, Steve Robbins wrote:
> > 
> > > ** FvwmAudio -- hasn't this been totally superceeded by FvwmEvent?  The
> > > leading comment suggests it is a direct descendent of Audio:
> > > 
> > >  * renamed & cleaned up so that FvwmEvent (TaDa !!) is a general event
> > >    handler module.
> > >                -- 21.04.98 Albrecht Kadlec ([email-masked])
> > 
> > I looked at the man page, and found a notice that dates from 2.0.47d: 
> > 
> > 	NOTICE
> > 	       FvwmAudio has been superceded by FvwnEvent and is no longer
> > 	       supported. Please start using FvwmEvent as soon as possible.
> > 
> > 
> > Then I searched the mailing list archives, and found a discussion from the
> > end of July/98 about dropping FvwmAudio.  It seems that FvwmAudio was
> > dropped in 2.0.47c.  Three days later 2.0.47d came out with FvwmAudio
> > restored.
> > 
> > As far as I can see, the issue was that FvwmEvent did not support being
> > aliased.  To quote Dan E:
> > 
> > 	FvwmEvent doesn't support being invoked with an optional second
> > 	argument as a substitute to being sym-linked.
> > 
> > 	The code to do so is quite simple, if argc = 7, use argv[6] as the
> > 	program name.  FvwmForm is a good example.
> > 
> > 	<http://www.hpc.uh.edu/fvwm/archive/9807/msg00000.html>
> > 
> > 
> > Now, it looks to me like FvwmEvent never *did* get this code added!  It
> > also looks like it is a simple matter of inserting two lines in main():
> > 
> >     if ((s=strrchr(argv[0], '/')))      /* strip path */
> >         s++;
> >     else                                /* no slash */
> >         s = argv[0];
> > +   if (argc>=7)                        /* if override name */
> > +       s = argv[6];                    /* use arg as name */
> > 
> > 
> > Is that really all it takes?
> > 
> > If so, how about we make the change, ditch FvwmAudio, and fix up
> > sample.fvwm2rc not to refer to it anymore?
> 
> I have no objections. Of course users shouldn't be required to
> completely rewrite their config, so if there is a simple way
> like aliasing FvwmEvent to FvwmAudio...

With my latest update I've implemented the FvwmAudio compatibility
(see ChangeLog/manpage for details). Now we can remove FvwmAudio
and make a symlink to FvwmEvent instead.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Albrecht Kadlec <[email-masked]>
Date: 06 May 1999 13:31:38 +0200

> dropped in 2.0.47c.  Three days later 2.0.47d came out with FvwmAudio

sorry the more urgent parts of that discussions were private :-(

it may be a little late now, _but_ I was somewhat involved :-) with
FvwmAuto/Audio/Event at that time because working on the lib was impossible.
(submitted a tested drop in replacement lib and chuck rewrote every single
line. I directly replied with around 10 bugs, I'd made & fixed myself before) 

1) I made FvwmEvent as compatible as possible. 
	("as long as it doesn't break anything" chuck said)

2) I made it as general as possible under the above constraint.

3) I didn't craft in aliasing, (maybe it was already in my development
   copy, I don't know now, it's still there in this huge .gz file), because
   I waited for a module_startup() function. (should have taken care of
   arguments, pipes, and so on, adjusting argc & argv, so that only the
   _real_ arguments are passed to the module.)

this never happened, because chuck put out a last version (with FvwmAudio
resurrected) and then threw the towel.

In the long run I had other plans:
	making an internal "play" command (supporting rplay, rsynth/say, or
	any other external command) and an internal event handling scheme
	(table of registered handler functions/cmds)

Together with a delay & an if function, even FvwmAuto was to be ditched.

FvwmAudio would be superseded by binding a "play xxx" cmd to every event
one's interested in and FvwmAuto would be superseded by a function along:

	delay 300
	next [windowid $1] raise $1  # or: if (exist $1 & focus_on $1) raise $1

This was too much change for the next few months, since a stable 2.X
release was rushed for.	

> Is that really all it takes?

Yes. It's been prepared for just this sort of thing.

> sample.fvwm2rc not to refer to it anymore?

finally ...
this will break some configs, but what the hell it's a totally different
version now.

so long,
-- 
Albrecht Kadlec
Vienna University of Technology / Department of Automation
----------------------------------------------------------
We've shifted into meningless chatter,
This kind of talking could go on for days,
We've been through the heart of the matter,
Don't make no difference in the end of the day. -- The Hooters
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 06 May 1999 08:18:09 -0400

> this will break some configs, but what the hell it's a totally different

Albrecht,

  You've been away from fvwm2 development for too long.

  We will replace FvwmAudio, and no config files will be broken.

  With all the improvements that have come into our hands recently,
we've replaced a few modules already with zero config file breakage.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Albrecht Kadlec <[email-masked]>
Date: 06 May 1999 20:10:15 +0200

> this will break some configs, but what the hell it's a totally different

ok, that's wrong with all the compatibility stuff that went in again.
we might as well remove all that compatib. stuff and keep FvwmAudio around
:-)

I wasn't totally up to date.
Now I've at least read all the FvwmAudio & FvwmEvent threads.

(my aim was to remove all unnecessary stuff from the event handling, so
that it could be incorporated into fvwm core (some 50 lines of code
maximum!). 

cheers,
-- 
Albrecht Kadlec
Vienna University of Technology / Department of Automation
----------------------------------------------------------
God said to Adam "How would you like a mate who is kind, loyal,
understanding and respectful?" Adam replies "OK. But what is it going
to cost me?" God said "Only an arm and a leg." Adam then said
"That sounds a bit steep. What do I get for a rib?"
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]